summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/nfsd
diff options
context:
space:
mode:
authorgordon <gordon@FreeBSD.org>2002-06-13 22:14:37 +0000
committergordon <gordon@FreeBSD.org>2002-06-13 22:14:37 +0000
commit9c5433cb225f7a4e56e87623ea2e4011179553a5 (patch)
tree3168589e209abd888b033397e3c46dee6131a116 /etc/rc.d/nfsd
parent50d99cdfecd92f5323a18aa791a5b1cb9d8b7191 (diff)
downloadFreeBSD-src-9c5433cb225f7a4e56e87623ea2e4011179553a5.zip
FreeBSD-src-9c5433cb225f7a4e56e87623ea2e4011179553a5.tar.gz
Merge in all the changes that Mike Makonnen has been maintaining for a
while. This is only the script pieces, the glue for the build comes next. Submitted by: Mike Makonnen <makonnen@pacbell.net> Reviewed by: silence on -current and -hackers Prodded by: rwatson
Diffstat (limited to 'etc/rc.d/nfsd')
-rwxr-xr-xetc/rc.d/nfsd35
1 files changed, 31 insertions, 4 deletions
diff --git a/etc/rc.d/nfsd b/etc/rc.d/nfsd
index a0d3aa1..df96720 100755
--- a/etc/rc.d/nfsd
+++ b/etc/rc.d/nfsd
@@ -1,17 +1,44 @@
#!/bin/sh
#
-# $NetBSD: nfsd,v 1.2 2000/05/13 08:45:07 lukem Exp $
+# $NetBSD: nfsd,v 1.4 2001/06/16 06:13:10 lukem Exp $
+# $FreeBSD$
#
# PROVIDE: nfsd
# REQUIRE: mountd
+# KEYWORD: FreeBSD NetBSD
. /etc/rc.subr
name="nfsd"
-rcvar="nfs_server"
-command="/usr/sbin/${name}"
-required_vars="rpcbind"
+rcvar=`set_rcvar nfs_server`
+
+case `${CMD_OSTYPE}` in
+FreeBSD)
+ command="/sbin/nfsd"
+ command_args="${nfs_server_flags}"
+ required_vars="portmap_enable"
+ start_precmd="nfsd_precmd"
+ ;;
+NetBSD)
+ command="/usr/sbin/${name}"
+ required_vars="mountd rpcbind"
+ start_precmd=
+ ;;
+esac
+
+nfsd_precmd()
+{
+ if ! sysctl vfs.nfsrv >/dev/null 2>&1; then
+ force_depend nfsserver || return 1
+ fi
+
+ if checkyesno nfs_reserved_port_only ; then
+ echo -n ' NFS on reserved port only=YES'
+ sysctl vfs.nfsrv.nfs_privport=1 > /dev/null
+ fi
+ return 0
+}
load_rc_config $name
run_rc_command "$1"
OpenPOWER on IntegriCloud